<template />

<script>
// https://maplibre.org/maplibre-gl-js-docs/style-spec/layers/#hillshade

import {
  propsLayer,
  propsLayerHillshade,
  defineTransitions
} from './shared/props.js'

export const opts = Object.assign({},
  propsLayer,
  propsLayerHillshade
)
const options = defineTransitions(opts)
</script>

<script setup>
import { setupLayer } from './shared/setup.js'
import { eventsLayer } from './shared/events.js'

const type = 'hillshade'
const props = defineProps(options)
const emit = defineEmits(eventsLayer)

const { map, source } = setupLayer(type, options, props, emit)
if (props.terrain) map.value.setTerrain({ source })
</script>
